#
# common.pl - common subroutines for the ZETA Perl test
#
# ZETA Perl - Perl binding for the ANSI/NISO Z39.50-1995 Protocol
# Copyright (c) 1996, 1999 Finsiel S.p.A.
#
# Jama Musse Jama <jama@tecsiel.it> 3Q 1998
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

sub SayOk ($$$)
{
  my ($n, $ok, $duration) = @_;
  ++$testno;
  ($ok) ? print "ok $testno\n" : print "not ok $testno\n";
  $ok;
}

sub TestAbort ()
{
  print STDERR "\tTest aborted -->>\n" if ($Verbose);
  exit 0;
}

$FILERC = "zetaperlrc";

$ZETA::VERBOSE = 0;

1;
